
Core - Bug # 65599

Status: Closed Priority: Must have
Author: stefan schreck Category: TypoScript
Created: 2015-03-08 Assigned To:
Updated: 2015-03-08 Due date:
TYPO3 Version: 6.2
PHP Version: 5.5
Complexity:
Is Regression: No
Sprint Focus:
Subject: After Update from 6.2.9 --> 6.2.10 TypoScript Snippet doesn't work anymore
Description

Kind of difficult to explain:

I have a TypoScript which gets me Images from tt_content from pages which are referrenced with 
"content_from_pid".

That worked for years in Typo3 4.7. Then adapted to 6.2.x and it worked.
Untill 6.2.10. came arround the corner. 
Now it produces a white PAGE with no ouput nor error at all.

And I can't find any error in my Typoscript.
It would be nice if someone could see a relation to the NEW 6.2.10 Typo3 Update.

I post the TS in here, or should it be in a text file?

10 = CONTENT
10 {
    table = tt_content
    select {
            where = colPos = 2
            pidInList.field = content_from_pid
            pidInList.override.field = uid
            pidInList.override.field.if {
                                        isFalse.field = content_from_pid
                                        }
            max = 1
            orderBy = sorting
            selectFields = uid,image
            }
    renderObj = COA
    renderObj {
               10 = TEXT
               10.value = <div class="greyover" style="background-repeat: no-repeat;
               20 = FILES
               20 {
                  references {
                              table = tt_content
                              uid.data = field:uid
                              fieldName = image
                              }
  renderObj = COA
  renderObj {
        5 = LOAD_REGISTER
        5.imageUID.data = file:current:originalUid // file:current:uid
        10 = IMG_RESOURCE
        10.stdWrap.wrap = background-image:url('|');
        10.stdWrap.required = 1
        10.file = GIFBUILDER
        10.file {
                 XY = 320,89
                 #backColor = #84B816
                 10 = IMAGE
                 10.file {
                           import.data = register:imageUID
                           width = 160c
                           height = 89
                           }
                 20 = EFFECT
                 20.value = gray | gamma = 2.0
                 30 < .10
                 30 {
                     offset = 160,0
                     }
        }
    }
}
  30 = TEXT
  30.value = "></div>
 }
}

Related issues:
duplicates Core - Bug # 65378: Scaling/cropping images in GIFBUILDER does not... Resolved 2015-02-27

History
#1 - 2015-03-08 17:55 - Stephan Großberndt

Can you please check if this is resolved with https://forge.typo3.org/issues/65378

If this doesn't help, please activate debug mode in install tool so you get a error message. Please check your php error log too. post the error message
here.

#2 - 2015-03-08 18:55 - Chris topher
- Description updated

#3 - 2015-03-08 20:14 - stefan schreck

Seems to resolve my issue!!!
Bug #65378

THX

#4 - 2015-03-08 20:59 - Markus Klein
- Status changed from New to Closed
